const exec = require('child_process').exec;

function execAsync(...args) {
  return new Promise((r) => {
    exec(...args, function (err, stdout, stderr) {
      if (stdout) console.log(stdout);
      if (stderr) console.log(stderr);
      if (!err) {
        r();
      }
    });
  });
}

async function main() {
  await execAsync('npm run build:electron');
  await execAsync('npm run pack', { cwd: './electron' });
}

main();
